STRUCT TE(3)

NAME
boost::intrusive::unordered_group_adapter

SYNOPSIS

// In header: <boost/intrusive/unordered_set_hook.hpp>
template<typename NodeTraits>
struct unordered_group_adapter {
  // types
  typedef NodeTraits::node           node;
  typedef NodeTraits::node_ptr       node_ptr;
  typedef NodeTraits::const_node_ptr const_node_ptr;
  // public static functions
  static node_ptr get_next(const_node_ptr);
  static void set_next(node_ptr, node_ptr);
};

DESCRIPTION

  unordered_group_adapter public static functions

    1.

    static node_ptr get_next(const_node_ptr n);

    2.

    static void set_next(node_ptr n, node_ptr next);